Show failed resources in failed installation report

08/23/2023 02:52 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 3.8.0   

Difficulty:  Fixed in Releases: 3.8.0

Triaged: No Found in Releases:  

Bugzilla link: 2241017 Red Hat JIRA: SAT-19971

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/878,

https://github.com/theforeman/foreman-p

ackaging/pull/9850,

https://github.com/theforeman/foreman-p

ackaging/pull/9851,

https://github.com/theforeman/foreman-i

nstaller/pull/885,

https://github.com/theforeman/foreman-p

ackaging/pull/9880,

https://github.com/theforeman/foreman-p

ackaging/pull/9881

  

Description

Kafo 7.1.0 (unreleased at the moment) has started to capture Puppet reports. This allows showing the failed resources which makes

it easier to troubleshoot failures. Ideally speaking the user doesn't have to open the installer log anymore and the regular installer

command is sufficient.

Associated revisions

Revision 0d2fb671 - 09/26/2023 12:44 PM - Ewoud Kohl van Wijngaarden

Fixes #36694 - Show failed resources on installation

Kafo 7.1.0 has started to capture Puppet reports and in 7.2.0 it was

extended for better messages. This allows showing the failed resources

which makes it easier to troubleshoot failures.  Ideally speaking the

user doesn't have to open the installer log anymore and the regular

installer command is sufficient.

History

#1 - 08/23/2023 02:52 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.8.0

#2 - 08/23/2023 02:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/878 added

#3 - 09/11/2023 12:33 PM - Ewoud Kohl van Wijngaarden

- Red Hat JIRA set to SAT-19971

#4 - 09/19/2023 03:09 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (3.8.0)

#5 - 09/26/2023 12:44 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added
#6 - 09/26/2023 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|0d2fb671ea579bf1f44b93dded089c0db159b536.

#7 - 09/27/2023 05:41 PM - Eric Helms

- Bugzilla link set to 2241017

#8 - 09/28/2023 04:08 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.8.0

#9 - 10/02/2023 09:17 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9850 added

#10 - 10/02/2023 09:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9851 added

#11 - 10/03/2023 03:48 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/885 added

#12 - 10/04/2023 11:29 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#13 - 10/12/2023 11:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9880 added

#14 - 10/12/2023 11:29 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/9881 added

#15 - 11/13/2023 04:22 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases deleted (3.9.0)
